Chapter 2. appspecifictokens


Manages app specific tokens for the current user.

2.1. createAppToken

Create a new app specific token for user.

2.1.1. POST /api/v1/user/apptoken

Authorizations: oauth2_implicit (user:admin)

2.1.2. Request body schema (application/json)

Description of a new token.

NameDescriptionSchema

title

required

Friendly name to help identify the token

string

2.1.3. Responses

HTTP CodeDescriptionSchema

201

Successful creation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

2.1.4. Example command

 $ curl -X POST \
  -H "Authorization: Bearer <access_token>" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "MyAppToken"
  }' \
  "http://quay-server.example.com/api/v1/user/apptoken"

2.2. listAppTokens

Lists the app specific tokens for the user.

2.2.1. GET /api/v1/user/apptoken

Authorizations: oauth2_implicit (user:admin)

2.2.2. Query parameters

TypeNameDescriptionSchema

query

expiring

optional

If true, only returns those tokens expiring soon

boolean

2.2.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

2.2.4. Example command

$ curl -X GET \
  -H "Authorization: Bearer <access_token>" \
  "http://quay-server.example.com/api/v1/user/apptoken"

2.3. getAppToken

Returns a specific app token for the user.

2.3.1. GET /api/v1/user/apptoken/{token_uuid}

Authorizations: oauth2_implicit (user:admin)

2.3.2. Path parameters

TypeNameDescriptionSchema

path

token_uuid

required

The uuid of the app specific token

string

2.3.3. Responses

HTTP CodeDescriptionSchema

200

Successful invocation

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

2.3.4. Example command

$ curl -X GET \
  -H "Authorization: Bearer <access_token>" \
  "http://quay-server.example.com/api/v1/user/apptoken/<token_uuid>"

2.4. revokeAppToken

Revokes a specific app token for the user.

2.4.1. DELETE /api/v1/user/apptoken/{token_uuid}

Authorizations: oauth2_implicit (user:admin)

2.4.2. Path parameters

TypeNameDescriptionSchema

path

token_uuid

required

The uuid of the app specific token

string

2.4.3. Responses

HTTP CodeDescriptionSchema

204

Deleted

 

400

Bad Request

ApiError

401

Session required

ApiError

403

Unauthorized access

ApiError

404

Not found

ApiError

2.4.4. Example command

$ curl -X DELETE \
  -H "Authorization: Bearer <access_token>" \
  "http://quay-server.example.com/api/v1/user/apptoken/<token_uuid>"
Red Hat logoGithubRedditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top